## ros-noetic-pilz-industrial-motion 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(pilz_industrial_motion)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-pilz-industrial-motion (0.5.0-4focal) focal; urgency=high

  * Port to ROS Noetic (ubuntu 20.04, python3)
    * Remove pilz_store_positions package
    * Update branching model in README.md
    * Use relative paths for test-data/movecmd.py (colcon support)
    * Misc minor refactorings
  * Update maintainer list
  * Move pilz command planner to moveit
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 02 May 2021 22:00:00 -0000

ros-noetic-pilz-industrial-motion (0.4.12-4focal) focal; urgency=high

  * Remove pilz_msgs from meta-package
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 23 Nov 2020 23:00:00 -0000

ros-noetic-pilz-industrial-motion (0.4.11-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 15 Jul 2020 22:00:00 -0000

ros-noetic-pilz-industrial-motion (0.4.10-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-noetic-pilz-industrial-motion (0.4.9-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-noetic-pilz-industrial-motion (0.4.8-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-noetic-pilz-industrial-motion (0.4.7-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-noetic-pilz-industrial-motion (0.4.6-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Sep 2019 22:00:00 -0000

ros-noetic-pilz-industrial-motion (0.4.5-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 02 Sep 2019 22:00:00 -0000

ros-noetic-pilz-industrial-motion (0.4.4-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 18 Jun 2019 22:00:00 -0000

ros-noetic-pilz-industrial-motion (0.4.3-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 07 Apr 2019 22:00:00 -0000

ros-noetic-pilz-industrial-motion (0.4.2-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 12 Mar 2019 23:00:00 -0000

ros-noetic-pilz-industrial-motion (0.4.1-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 26 Feb 2019 23:00:00 -0000

ros-noetic-pilz-industrial-motion (0.4.0-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 17 Dec 2018 23:00:00 -0000

ros-noetic-pilz-industrial-motion (0.3.6-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 25 Feb 2019 23:00:00 -0000

ros-noetic-pilz-industrial-motion (0.3.5-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 05 Feb 2019 23:00:00 -0000

ros-noetic-pilz-industrial-motion (0.3.1-4focal) focal; urgency=high

  * add pilz_robot_programming to depends of the meta-package
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 16 Dec 2018 23:00:00 -0000

ros-noetic-pilz-industrial-motion (0.3.0-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 27 Nov 2018 23:00:00 -0000

ros-noetic-pilz-industrial-motion (0.2.2-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 25 Sep 2018 22:00:00 -0000

ros-noetic-pilz-industrial-motion (0.2.1-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 24 Sep 2018 22:00:00 -0000

ros-noetic-pilz-industrial-motion (0.2.0-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 13 Sep 2018 22:00:00 -0000

ros-noetic-pilz-industrial-motion (0.1.1-4focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 24 Sep 2018 22:00:00 -0000

ros-noetic-pilz-industrial-motion (0.1.0-4focal) focal; urgency=high

  * Initial release
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 13 Sep 2018 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-pilz-industrial-motion
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: https://wiki.ros.org/pilz_industrial_motion
Standards-Version: 3.9.2

Package: ros-noetic-pilz-industrial-motion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-pilz-industrial-motion-planner, ros-noetic-pilz-msgs, ros-noetic-pilz-robot-programming
Description: The pilz_industrial_motion package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-pilz-industrial-motion//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
